Last Comment Bug 677418 - Remove unused nsNSSComponent::GetNSSCipherIDFromPrefString
: Remove unused nsNSSComponent::GetNSSCipherIDFromPrefString
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: mozilla9
Assigned To: Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
:
:
Mentors:
Depends on: 677409
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-08 16:55 PDT by Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
Modified: 2013-12-15 22:43 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
remove nsNSSComponent::GetNSSCipherIDFromPrefString (3.11 KB, patch)
2011-08-08 16:55 PDT, Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
kaie: review+
Details | Diff | Splinter Review

Description Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2011-08-08 16:55:32 PDT
Created attachment 551620 [details] [diff] [review]
remove nsNSSComponent::GetNSSCipherIDFromPrefString

+++ This bug was initially created as a clone of Bug #677409 +++
+++ This bug was initially created as a clone of Bug #593077 +++

The next time we make a backward-incompatible change to nsNSSComponent, we should also remove the GetNSSCipherIDFromPrefString method, which will be unused after bug 677409 is fixed. I am not including the change to the interface ID in the patch because that change should be done in the patch this one rides along with.
Comment 1 Kai Engert (:kaie) 2011-08-10 06:19:09 PDT
Comment on attachment 551620 [details] [diff] [review]
remove nsNSSComponent::GetNSSCipherIDFromPrefString

I don't think we need to change any UUIDs or contract IDs. AFAICT this function isn't declared in any IDLs, it's just a local helper function, and fine to remove.

r=kaie
Comment 2 Marco Bonardo [::mak] 2011-08-18 04:01:04 PDT
http://hg.mozilla.org/mozilla-central/rev/a23a0490b620

Note You need to log in before you can comment on or make changes to this bug.